// JavaScript Document
$(function(){
	$(".menu_two").first().css("margin","0");
	$(".client_con").each(function() {
        $(this).children(".fl").last().css("border","none");
    });
	/* 按钮hover */		
	$(".long_grey").hover(function(){
		$(this).addClass("long_greyh");
		},function(){
		$(this).removeClass("long_greyh");
			});
	/* 左侧菜单 */		
	 $(' .slide_left_a').click(function () {
            $(this).next(".index_nav_child").slideToggle();
            $(this).find(".square_down").toggleClass("square_up")
        })	
	/* 职员管理 用户组管理 最后一行 */		
	$(".user_nobor tr:last").children("td").css("border","none");
	$(".user_nobor tr:first").css("height","28px");
	/* 自定义菜单 */
	
	$("#AppScrect").blur(function(){
		if($(this).val()){
			$(".self_wap .long_grey").html("关  闭");
			$(".self_wap .long_grey").prev("span").remove();
			var html = '<div align="center" class="mt30">'+
							'<button class="btn_green" onClick=show(add,"","","one")>添加菜单</button>'+
							'<p class="grey lh50">注意:1级菜单最多开启3个,2级菜单最多开启5个</p>'+
						'</div>';
			var show = $(".self_wap").next("div");
			if($(".menu_list").is(":visible")){
				return false;

			}else{
				$(html).insertAfter(".self_wap");
				}
				//}
			}else{
			$(".self_wap .long_grey").html("开  启");
			//$(".self_wap .long_grey").prev("span").remove();
			$(".self_wap").next("div").remove();
				}
		});
/* 客户管理 */
	/* 客户详情点击修改 */
	$(".client_all span").click(function(){
		$(".client_all span").removeClass("client_slc");
		$(this).addClass("client_slc");
		});
		
	tabChange("tab div");		
		

	});
	
/* 弹出框 */
function dialoghide(dialoghide){
		var name = dialoghide;
		$("#fullbg").hide(); 
		$(name).fadeOut(200); 
	}
/* show(show,level,obj,first,id) show弹出框类名 level菜单级别 obj点击对象 first是否首次添加 id 修改的菜单id*/
function show(show,level,obj,first,id){
	/* 判断菜单级别 */
	var l = level;
	if(l == "a"){
		var i = 0;
		$(".menu_two").each(function() {
            i++;
        });
		if(i > 2){showtwo(msg,"一级分类已达到最高上限，不可以继续添加");return false;}else{
		$("#add input").attr("id",l);
		$("#add .fl").attr("onClick","menua_add()");
		}
	}else if(l == "b"){
		var i = 0;
		$(".menu_three").each(function() {
            i++;
        });
		if(i > 4){showtwo(msg,"二级分类已达到最高上限，不可以继续添加");return false;}else{
		$("#add input").attr("id",l);
		$("#add .fl").attr("onClick","menub_add()");
		var pt = $(obj).parents(".menu_two").attr("id");
		$("#add p").attr("id",pt);
		}
		}
	/* 判断是否首个菜单 */
	var f = first;
	if(f == "one"){
		$("#add input").attr("id","one");
		$("#add .fl").attr("onClick","menu()");
		
	}
	/* 修改菜单 */
	var editn = id;
	if(editn){
		$("#add p").attr("id",editn);
		$("#add .fl").attr("onClick","menu_edit()");
	}
	var bh = $("body").height(); 
	var bw = $("body").width(); 
	/*$("#fullbg").css({ 
	height:bh, 
	width:bw, 
	display:"block" 
	}); */
	var name=show;
	var width=$(name).width();  
	var height=$(name).height();  
	var t=height/2;
	var l=width/2;
	$(name).css({ 
	width:width, 
 	"margin-top":-t,
 	"margin-left":-l
	}); 
	if(typeof document.body.style.maxHeight === "undefined") {
		var liu=document.documentElement.clientHeight/2;
		var h=height/2;
		var mar_t=liu-h;
	$(name).css({ 
 	"margin-top":mar_t
	}); 
	}
	/***************************************************/
	$(name).fadeIn(500); 
	}
	
function showtwo(show,val){
	var v = val;
	$("#msg p").html(v);
	var bh = $("body").height(); 
	var bw = $("body").width(); 
	/*$("#fullbg").css({ 
	height:bh, 
	width:bw, 
	display:"block" 
	}); */
	var name=show;
	var width=$(name).width();  
	var height=$(name).height();  
	var t=height/2;
	var l=width/2;
	$(name).css({ 
	width:width, 
 	"margin-top":-t,
 	"margin-left":-l
	}); 
	if(typeof document.body.style.maxHeight === "undefined") {
		var liu=document.documentElement.clientHeight/2;
		var h=height/2;
		var mar_t=liu-h;
	$(name).css({ 
 	"margin-top":mar_t
	}); 
	}
	/***************************************************/
	$(name).fadeIn(500); 
	}	
	

/* 自定义菜单 start*/
function decide(obj){
	$(obj).prev("span").show();
	}

/* 删除菜单 */
function del_menu(){
	var nid = $(".del_name").attr("id");
	$(".menu_con").remove();
	$("#" + nid).remove();
	$(".menu_two").css("margin-top","10px");
	$(".menu_two").first().css("margin","0");
	var cid = $(".menu_two").first().attr("id");
	var name = $(".menu_two").first().children("div").html();
	var nlink = $("#" + cid).children(".addlink").html();
	var nkey = $("#" + cid).children(".addkey").html();
	if(typeof(nlink) == "undefined"){
		nlink = '';
		}
	if(typeof(nkey) == "undefined"){
		nkey = '';
		}
	if(name){
		var html = '<div class="menu_con">'+
                    '<div class="clearfix menu_name">'+
                       '<div class="fl">一级菜单：<span class="del_name" id ="' + cid + '">' + name + '</span></div>'+
                        '<div class="fr"><span class="hand" onClick=show(add,"","","",' + cid + ')>重命名</span>  <span class="hand"  onClick="del_menu()">删除</span></div>'+
                    '</div>'+
                    '<div class="p12">'+
                        '添加响应内容：'+
                       ' <div class="clearfix">'+
                            
                            '<a class="fl menu_content" onClick=keyword('+ cid +',"'+ nkey +'")>'+
                               ' <div align="center"><span class="iconfont green f64">&#xe624;</span></div>'+
                               ' <p align="center" >关键词</p>'+
                           ' </a>'+
                           ' <a class="fl menu_content"  onClick=define_link('+ cid +',"'+ nlink +'")>'+
                               ' <div align="center"><span class="iconfont green f64">&#xe627;</span></div>'+
                               ' <p align="center">外链</p>'+
                            '</a>'+
                       ' </div>'+
                   ' </div>'+
               ' </div>';
	 $(".menu_right").html(html);
		}
	
	}
/* 选中菜单 右侧展示 */
	/* menu_show(obj,num,id) num 菜单级别  id 菜单id */
 function menu_show(obj,num,id){
	 var cid = id
	 var order = num;
	 if(num == "two"){
		 order = "二级菜单";
		 }else{
		 order = "一级菜单";
			 }
	 var name = $(obj).html();
	var nlink = $("#" + cid).children(".addlink").html();
	var nkey = $("#" + cid).children(".addkey").html();
	if(typeof(nlink) == "undefined"){
		nlink = '';
		}
	if(typeof(nkey) == "undefined"){
		nkey = '';
		}
	 var html = '<div class="menu_con">'+
                    '<div class="clearfix menu_name">'+
                       '<div class="fl">' + order + '：<span class="del_name"id ="' + cid + '" >' + name + '</span></div>'+
                        '<div class="fr"><span class="hand" onClick=show(add,"","","",' + cid + ')>重命名</span>  <span class="hand"  onClick="del_menu()">删除</span></div>'+
                    '</div>'+
                    '<div class="p12">'+
                        '添加响应内容：'+
                       ' <div class="clearfix">'+
                            '<a class="fl menu_content" onClick=keyword('+ cid +',"'+ nkey +'")>'+
                               ' <div align="center"><span class="iconfont green f64">&#xe624;</span></div>'+
                               ' <p align="center" >关键词</p>'+
                           ' </a>'+
                           ' <a class="fl menu_content"  onClick=define_link('+ cid +',"'+ nlink +'")>'+
                               ' <div align="center"><span class="iconfont green f64">&#xe627;</span></div>'+
                               ' <p align="center">外链</p>'+
                            '</a>'+
                       ' </div>'+
                       ' </div>'+
                   ' </div>'+
               ' </div>';
	 $(".menu_right").html(html);
	 }
/* 下调菜单顺序 */
function menu_down(obj){
	var name = $(obj).parent().attr("class");
	var p;
	if(name.indexOf("menu_two")){
		var content = $(obj).parent(".menu_three").next(".menu_three").html();
		if(typeof(content) == "undefined"){
		}else{
			var html = '<div class="menu_three">' + content + '</div>';
			p = $(obj).parent(".menu_three");
			$(html).insertBefore(p);	
			$(obj).parent(".menu_three").next(".menu_three").remove();
			$(".menu_two").css("margin-top","10px");
			$(".menu_two").first().css("margin","0");
		}
	}else if(name.indexOf("menu_three")){
		var con = $(obj).parents(".menu").next(".menu").html();
		if(typeof(con) == "undefined"){
		}else{
			var html = '<div class="menu">' + con + '</div>';
			p = $(obj).parents(".menu");
			$(html).insertBefore(p);	
			$(obj).parents(".menu").next(".menu").remove();
			$(".menu_two").css("margin-top","10px");
			$(".menu_two").first().css("margin","0");
		}
	}
	}
/* 上调菜单顺序 */
function menu_up(obj){
	var name = $(obj).parent().attr("class");
	var p;
	if(name.indexOf("menu_two")){
		var content = $(obj).parent(".menu_three").prev(".menu_three").html();
		if(typeof(content) == "undefined"){
		}else{
			var html = '<div class="menu_three">' + content + '</div>';
			p = $(obj).parent(".menu_three");
			$(html).insertAfter(p);	
			$(obj).parent(".menu_three").prev(".menu_three").remove();
			$(".menu_two").css("margin-top","10px");
			$(".menu_two").first().css("margin","0");
			}
	}else if(name.indexOf("menu_three")){
		var con = $(obj).parents(".menu").prev(".menu").html();
		if(typeof(con) == "undefined"){
		}else{
			var html = '<div class="menu">' + con + '</div>';
			p = $(obj).parents(".menu");
			$(html).insertAfter(p);	
			$(obj).parents(".menu").prev(".menu").remove();
			$(".menu_two").css("margin-top","10px");
			$(".menu_two").first().css("margin","0");
			}
	}
	}
/* 添加一级菜单 */
function menua_add(){
	var aname = $("#a").val();
	/*$(".two_name").each(function() {
		if($(this).html() == aname){alert("此类名已存在，请重新填写");return false;}
    });*/
	if(aname){
	var p = $("#add p").attr("id");
	var nnum;
	var bnum = $(".menu").last().find(".menu_two").last().attr("id");
	if(typeof(bnum) == "undefined"){
		 nnum = 0;
		var html = '<div class="menu">'+
		'<div class="menu_two clearfix" id=' + nnum + '>'+
							'<span class="fl iconfont green f32 hand" onClick="menu_up(this)">&#xe61f;</span>'+
							'<span class="fl iconfont green f32 hand" onClick="menu_down(this)">&#xe62e;</span>'+
							'<div onClick=menu_show(this,"one",' + nnum + ') class="fl f14 greyt ml10 hand w212">' + aname + '</div>'+
						   ' <div class="fr"><span onClick=show(add,"b",this) class="iconfont green hand">&#xe620;</span></div>'+
					   ' </div>'+
					   ' </div>';
		var mo = $("#" + p).parent(".menu");
		$(html).insertAfter(mo);	
	}else{
		nnum = Number(bnum) + Number(1);
		var html = '<div class="menu">'+
		'<div class="menu_two clearfix" id=' + nnum + '>'+
							'<span class="fl iconfont green f32 hand" onClick="menu_up(this)">&#xe61f;</span>'+
							'<span class="fl iconfont green f32 hand" onClick="menu_down(this)">&#xe62e;</span>'+
							'<div onClick=menu_show(this,"one",' + nnum + ') class="fl f14 greyt ml10 hand w212">' + aname + '</div>'+
						   ' <div class="fr"><span onClick=show(add,"b",this) class="iconfont green hand">&#xe620;</span></div>'+
						   ' </div>'+
					   ' </div>';
					   var mo = $("#" + bnum).parent(".menu");
		$(html).insertAfter(mo);	
	$(".menu_two").css("margin-top","10px");
	$(".menu_two").first().css("margin","0");
	dialoghide(add);
	}
	}else{
		showtwo(msg,"菜单名称不能为空");
		}
	}
/* 添加二级菜单 */
function menub_add(){
	var aname = $("#b").val();
	/*$(".menu_three").each(function() {
		if($(this).children("div").html() == aname){alert("此类名已存在，请重新填写");return false;}
    });*/
	if(aname){
	var p = $("#add p").attr("id");
	var nnum;
	var bnum = $("#" + p).parents(".menu").find(".menu_three").last().attr("id");
	if(typeof(bnum) == "undefined"){
		 nnum = p + "1";
		var html = '<div class="menu_three clearfix" id=' + nnum + '>'+
							'<span class="fl iconfont green f32 hand" onClick="menu_up(this)">&#xe61f;</span>'+
							'<span class="fl iconfont green f32 hand" onClick="menu_down(this)">&#xe62e;</span>'+
							'<span class="fl">&middot; </span> '+
							'<div onClick=menu_show(this,"two",'+ nnum +') class="fl f14 grey ml10 hand w212">' + aname + '</div>'+
					   ' </div>';
		$(html).insertAfter("#" + p);	
	}else{
		nnum = Number(bnum) + Number(1);
		var html = '<div class="menu_three clearfix" id=' + nnum + '>'+
							'<span class="fl iconfont green f32 hand" onClick="menu_up(this)">&#xe61f;</span>'+
							'<span class="fl iconfont green f32 hand" onClick="menu_down(this)">&#xe62e;</span>'+
							'<span class="fl">&middot; </span> '+
							'<div onClick=menu_show(this,"two",' + nnum + ') class="fl f14 grey ml10 hand w212" id=' + nnum + '>' + aname + '</div>'+
					   ' </div>';
		$(html).insertAfter("#" + bnum);	
					   
	}
		
	$(".menu_two").css("margin-top","10px");
	$(".menu_two").first().css("margin","0");
	dialoghide(add);
	}else{
		showtwo(msg,"菜单名称不能为空");
		}
	}
/* 首次添加菜单 */
function menu(){
	var aname = $("#one").val();
	if(aname){
		$(".menu_list").show();
		$(".menu_list").next("div").show();
		var html = '<div class="menu">'+
						'<div class="menu_two clearfix" id="1">'+
							'<span class="fl iconfont green f32 hand" onClick="menu_up(this)">&#xe61f;</span>'+
							'<span class="fl iconfont green f32 hand" onClick="menu_down(this)">&#xe62e;</span>'+
							'<div onClick=menu_show(this,"one",1) class="fl f14 greyt ml10 two_name hand w212">' + aname + '</div>'+
						   ' <div class="fr"><span onClick=show(add,"b",this) class="iconfont green hand">&#xe620;</span></div>'+
					   ' </div>'+
				   ' </div>';
		$(".del_name").html(aname);
		$(".del_name").attr("id",1);
		$(".menu_name .hand").first().attr("onClick","show(add,'','','',1)");
		$(html).insertAfter(".menu_one");	
		$(".menu_two").css("margin-top","10px");
		$(".menu_two").first().css("margin","0");
		dialoghide(add);
		$(".self_wap").next("div").remove();
	}else{
		showtwo(msg,"菜单名称不能为空");
		}
	}
/* 修改菜单名称 */
function menu_edit(){
	var aname = $("#add input").val();
	if(aname){
		var p = $("#add p").attr("id");
		$("#" + p).find(".f14").html(aname);
		$(".del_name").html(aname);
		dialoghide(add);
	}else{
		showtwo(msg,"菜单名称不能为空");
		}
	}	
/* 外链 */
function define_link(id,nval){
	var nid = id;
	var nva = nval;
	if(typeof(nva) == "undefined"){
		nva = '""';
		}
	var html = '<div class="p44">'+
	'订阅者点击该子菜单会跳到以下链接，<span class="hand" onClick=goback()>重设连接</span>'+
                        '<table class="mt20">'+
                         ' <tr>'+
                            '<td width="80">外链地址：</td>'+
                           ' <td><input id="addlink" class="in_grey w348" type="text" value="' + nva + '" /></td>'+
                         ' </tr>'+
                         ' <tr>'+
                            '<td height="60">&nbsp;</td>'+
                           ' <td><button class="btn_grey mt10">应用或页面</button></td>'+
                         ' </tr>'+
                       ' </table></div>';
				   
		$(".menu_con .p12").html(html);	
	$("#addlink").on("blur",function(){
			var linkval = $(this).val();
			if(linkval){
			var nhtml = '<p class="addlink" style="display:none">' + linkval + '</p>';
			$("#" + nid).children(".addlink").remove();
			$(nhtml).appendTo("#" + nid);
			}
			});	
	}
/* 关键词 */
function keyword(id,nval){
	var nid = id;
	var nva = nval;
	if(typeof(nva) == "undefined"){
		nva = '""';
		}
	var html = '<div class="p44">'+
	'订阅者点击该子菜单会跳到以下链接，重设<span class="hand" onClick=goback()>关键词</span>'+
                        '<table class="mt20">'+
                         ' <tr>'+
                            '<td width="80">关键词：</td>'+
                           ' <td><input id="addkey" class="in_grey w348" type="text" value="' + nva + '" /></td>'+
                         ' </tr>'+
                         ' <tr>'+
                            '<td height="60">&nbsp;</td>'+
                           ' <td><button class="btn_grey mt10">应用或页面</button></td>'+
                         ' </tr>'+
                       ' </table></div>';
				   
		$(".menu_con .p12").html(html);		
		$("#addkey").on("blur",function(){
			var keyval = $(this).val();
			if(keyval){
			var nhtml = '<p class="addkey" style="display:none">' + keyval + '</p>';
			$("#" + nid).children(".addkey").remove();
			$(nhtml).appendTo("#" + nid);
			}
			});		   
	}
/* 返回 */
function goback(){
	var html = '添加响应内容：'+
                       ' <div class="clearfix">'+
                            
                            '<a class="fl menu_content" onClick=keyword()>'+
                               ' <div align="center"><span class="iconfont green f64">&#xe624;</span></div>'+
                               ' <p align="center" >关键词</p>'+
                           ' </a>'+
                           ' <a class="fl menu_content"  onClick=define_link()>'+
                               ' <div align="center"><span class="iconfont green f64">&#xe627;</span></div>'+
                               ' <p align="center">外链</p>'+
                            '</a>'+
                       ' </div>';
		$(".menu_con .p12").html(html);			   
	}
/* 客户管理 */
/* 客户详情修改 */
function clientEdit(obj){
	$(obj).parents(".client_tit").next("div").find("input").show();
	$(obj).parents(".client_tit").next("div").find("span").hide();
	
	$(obj).hide();
	$(obj).next("span").show();
	$(obj).parents(".client_tit").next("div").find(".client_input").show();
	$(obj).parents(".client_tit").next("div").find(".iconfont").show();
	}
function clientRevert(obj){
	$(obj).parents(".client_tit").next("div").find("span").show();
	$(obj).parents(".client_tit").next("div").find("input").hide();
	
	$(obj).parent().hide();
	$(obj).parent().prev().show();
	}
	/* tab 切换 */
function tabChange(tabChange){
	$("." + tabChange).click(function(){
		var l=$(this).prevAll("div").size();
		var len=l;
		$(this).addClass("client_on");
		$(this).nextAll("div").removeClass("client_on");	
		$(this).prevAll("div").removeClass("client_on");	
		$(".tab_list").children(".tab_con").hide();	
		$(".tab_list").children(".tab_con").eq(len).show();			
		});
		}
